Setup Windows

Automatic Install

Open a command-prompt or terminal and run the following command:

lime setup windows

Manual Install

In order to build Neko applications for Windows, no further dependencies are required. However, in order to build C++ applications for Windows, you must have a compatible version of Visual Studio C++ installed on your system.

Currently, Lime requires a version of Visual Studio capable of targeting Win32. For newer versions of Visual Studio, this requires the “Windows Desktop” version of the software.

We recommend Visual Studio C++ 2010 Express, but newer versions should also be compatible:

You can only target Windows from a Windows system right now. If you are interested in contributing to cross-desktop builds to Windows, please open a topic on the forums.

Forums

If you encounter any problems when setting up Lime for targeting Windows, please visit the forums.


Improve this page